Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Door , , 8 reacties
Bron: PHP.net, submitter: soczol

Op de homepage van PHP is een nieuwe versie van het gelijknamig programma te downloaden. De uitgifte is genummerd als 4.3.5 en voornamelijk een bugfix-release zonder nieuwe features. Volgens de ontwikkelaars is 4.3.5 de stabielste versie tot nu toe. Hieronder zijn de belangrijkste veranderingen van deze release te vinden. Het volledig changelog is hier geplaatst:

PHP 4.3.5 contains, among others, the following important fixes, additions and improvements:
  • Fixed INI leak between Apache virtual hosts.
  • Fixed crashes inside fgetcsv() and make the function binary safe.
  • Fixed compilation with early versions of GCC 3.0.
  • Fixed a bug that prevented feof() from working correctly with sockets.
  • Improved the matching algorithm inside the get_browser() function.
  • Fixed resolving of open_basedir on Win32 systems.
  • Fixed incorrect errors for non-existent directories when safe_mode is enabled.
  • Bundled OpenSSL dlls on Win32 upgraded to 0.9.7c
  • Updated bundled PostgreSQL library to version 7.4 in Windows distribution.
  • Bundled PCRE library upgraded to 4.5
  • Synchronized bundled GD library with GD 2.0.17
  • A number of fixes for 64bit systems.
[break]*PHP 4.3.5 Bzip2
*PHP 4.3.5 Tarball
*PHP 4.3.5 Win32 zip
*PHP 4.3.5 Win32 exe
Versienummer:4.3.5
Besturingssystemen:Windows 9x, Windows 2000, Windows XP, Linux x86, Windows Server 2003
Website:PHP.net
Download:http://nl.php.net/distributions/php-4.3.5.tar.bz2
Bestandsgrootte:3,76MB
Licentietype:Voorwaarden (GNU/BSD/etc.)
Moderatie-faq Wijzig weergave

Reacties (8)

In deze versie zit een bug(je) met mktime(). Ik heb deze inmiddels gemeld, maar mocht je soortgelijke code gebruiken, dan kun je in eindeloze lussen terecht komen.

UPDATE: Dankzij de zeer snelle reactietijden van het PHP developmentteam, is deze bug er in de CVS stable versie voor Windows en Linux al uit! (Binnen 1,5 uur na het melden van de bug).
He'k ook gesubmit :) Zend Optimizer 2.5.1 laat PHP crashen, althans bij mij (IIS5.1, PHP.exe geeft een foutmelding na afronding van ieder script). Hij werkte wel met 4.3.4. :(
IIS + PHP ... mja :/
idd, leer dan C# als je toch zo nodig op een ms bak wil hosten...en install anders debian...
Misschien wil hij ze klanten ook ASP ondersteuning geven naast php.

En ja ik ben me er van bewust dat onder linux/apache ook mogelijk is om een asp module te draaien, alleen die ondersteund lang niet alles als iis ondersteund.
Leuk dat dit de stabielste versie tot nu toe is, dan kunnen we het nu hier bij laten en ons gaan richten op PHP 5 die wel een shitload aan nieuwe features en de bijbehorende bugs heeft. :7
Ik mag hopen dat ze de 4.x branch wel blijven onderhouden. In ieder geval tot de 5.x branch een goede betrouwbare stable heeft (en dat zal niet 5.0 zijn vrees ik :)).
ik lees hier in de reakties al over 2 problemen.. zo stable is ie dus niet

Op dit item kan niet meer gereageerd worden.



Apple iOS 10 Google Pixel Apple iPhone 7 Sony PlayStation VR AMD Radeon RX 480 4GB Battlefield 1 Google Android Nougat Watch Dogs 2

© 1998 - 2016 de Persgroep Online Services B.V. Tweakers vormt samen met o.a. Autotrack en Carsom.nl de Persgroep Online Services B.V. Hosting door True